﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RockPaperScissorsBasic
{
    class Program
    {

        // Kő-papír-olló játék.
        // A játékostól bekérünk egy figurát és generálunk egy másik figurát a gépi játékos nevében.
        // A mutatott figurák alapján eldöntjük ki nyert, és kiírjuk az eredményt.
        // Addig indítunk újabb játékot, míg a játékos ki nem lép.
        static void Main(string[] args)
        {
            bool newGame = true;        // Addig iterálunk a lenti ciklusban, míg a játékos ki nem lép (newGame == false lesz). Kezdetben a játékos szeretne játszani (newGame == true)
            Random rnd = new Random();  // Új randomszámgenerátor létrehozása. A Next(...) hívás ad vissza egy következő véletlen számot
            string inputString;         // Ebbe a stringbe fogjuk később beolvasni a játékos által begépelt szöveget

            while (newGame)             // Addig indítunk újabb és újabb játékot, míg a játékos ki nem lép
            {
                Console.Clear();        // Minden játék elején letöröljük a konzol ablakot

                string playerFigure = "";         // Ebben tároljuk a játékos által mutatott figurát, stringként
                bool validFigureRead = false;     // A lenti ciklus addig tart, míg ez a változó igaz nem lesz: vagyis amíg a játékos érvényes figurát nem ad meg
                do                                // Addig kérünk be egy stringet a játékostól, míg érvényes figurát nem ad meg
                {
                    Console.WriteLine("Mit mutatsz?");
                    inputString = Console.ReadLine();   // Bekérjük a figurát

                    // 1. FELADAT
                    //-----------
                    // Olvassuk be a játékos által mutatott figurát
                    // - stringként, a playerFigure változóba
                    // - Ha a játékos nem érvényes figurát adott meg, adjunk hibaüzenetet!
                    // - Ne felejtsünk el kilépni a ciklusból, ha a játékos érvényes figurát gépelt be.
                    //--------------------------
                    // TODO
                    validFigureRead = true; // Ez csak akkor kell, ha érvényes figurát gépelt be a játékos!
                    //--------------------------

                } while (!validFigureRead);      // Addig kérünk be egy stringet a játékostól, míg érvényes figurát nem ad meg

                int compFigure = rnd.Next(0, 3);  // Véletlen szám generálása (0: kő, 1: papír, 2: olló). Next(min, max), min és max-1 között ad vissza értékeket, tehát max nincs benne
                string compFigureString = "";
                if (0 == compFigure)
                {
                    compFigureString = "ko";
                }
                if (1 == compFigure)
                {
                    compFigureString = "papir";
                }
                if (2 == compFigure)
                {
                    compFigureString = "ollo";
                }
                Console.WriteLine("A gep ezt mutatta: " + compFigureString);

                // 2. FELADAT
                //-----------
                // Nézzük meg, hogy ki nyert! 
                // - "compFigureString" már tartalmazza a véletlenszerűen generált, a gépi játékos által mutatott értéket stringként.
                // - "playerFigureString" pedig (ha az 1. feladat kész) tartalmazza a játékos által mutatott figurát, szintén stringként.
                //--------------------------
                // TODO
                //--------------------------


                // 3. FELADAT
                //-----------
                // Oldjuk meg, hogy a játékos ki tudjon lépni a játékból!
                // - Jelenleg automatikusan új játékot indítunk egy billentyűlenyomást követően (ld. a lenti 2 sort, Console.WriteLine és Console.ReadKey)
                // - Ehelyett a játékos választhasson, hogy kilép-e, vagy új játékot szeretne! (pl. "igen"/"nem")
                // - Ügyeljünk arra, hogy a játékos csak az általunk felkínált lehetőségeket gépelhesse be -> ciklusban kérjük be a választását, amíg érvényes értéket nem ad meg!
                //--------------------------
                // TODO
                //
                // Ezek helyett szeretnénk, hogy a játékos választhasson:
                Console.WriteLine("Uj jatekhoz nyomj le egy billentyut!");
                Console.ReadKey();
                //--------------------------
            }
        }
    }

}
